Subject: RE: [SIP] Overlap call setup

From: "Mark Watson" <[email-masked]>
Date: Tue, 27 Feb 2001 13:03:56 -0000

Brian,

> Nevertheless, the rule for the PSTN is terminating switch always gets
> digits en bloc (cause it needs all of them to route).#

Not in Germay it doesn't. The dial plan is so open that not even the
terminating switch knows how many digits there are going to be - it's only
the CPE that knows.

The only place
> that overlap sending gets used heavily is calls into an international
> gateway switch (which should know how many to collect anyway 
> because it
> has country code tables and can send en bloc from there).

Overlap sending is certainly used on almost all calls in the UK - admittedly
not because it has to, but more because it has always been done that way.

...Mark

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: 09 February 2001 12:23
> To: Watson, Mark [MAIFP:EP11-M:EXCH]
> Cc: Keith Robinson; [email-masked];
> [email-masked]; Moloney, Joshua [MDN05:CT07:EXCH];
> Taylor, Tom-PT [NORSE:B901:EXCH]; [email-masked]
> Subject: Re: [SIP] Overlap call setup
> 
> 
> Mark,
> 
> Gee, the last DMS-100 I datafilled didn't have country code tables
> filled out but seemed to work just fine using method a).  Maybe that's
> cause an overseas call has a post-dial delay anywhere from 30 to 40
> seconds so that 3 second delay at the end didn't matter.  Maybe it was
> because callers were astute enough to know that they could abbreviate
> the timeout by hitting '#' at the end of the dial sequence.
> 
> North America doesn't use overlap sending to my knowledge at all.
> Perhaps it is because we don't have too many open dial-plans here (or
> maybe people can find the '#' or 'send' key).
> 
> Nevertheless, the rule for the PSTN is terminating switch always gets
> digits en bloc (cause it needs all of them to route).  The only place
> that overlap sending gets used heavily is calls into an international
> gateway switch (which should know how many to collect anyway 
> because it
> has country code tables and can send en bloc from there).
> 
> I still don't see a meaningful example of when this would be used and
> truly believe that you are working too hard on a corner solution.
> 
> But, don't let me stop you: knock yourself out ;)
> 
> --Brian
> 
> 
> Mark Watson wrote:                          (Thu, 08 Feb 2001 
> 17:50:15)
> > 
> > There are other reasons for overlap which are not to do with
> > outpulsing delay/CAS interworking, but rather to do with determining
> > end of dialling.
> >    
> > 1) Support of open dial-plans, where not even the 
> terminating exchange
> > knows how many digits to expect, only the user equipment knows this
> >    
> > 2) Simplification of routing data, so not all exchanges have to know
> > the global dial-plan in order to work out how many digits to expect
> >    
> > In the absence of an indication of end-of-dialling from the calling
> > user you have only two choices:
> > a) Run an inter-digit timer and assume end of dialling if it expires
> > b) Overlap digits through the network towards a point where 
> the end of
> > dialling can be determined from dial-plan knowledge
> >    
> > It is generally felt that for networks puporting to offer PSTN or
> > better services, (a) is not acceptable as it adds post-dial 
> delay and
> > can mis-identify end of dialling if the user is too slow.
> >    
> > Of course an end-of-dialling indication from the user is highly
> > desirable, which is why all systems more advanced than simple
> > telephony are based on this (mobile phones, ISDN, SIP), but systems
> > exist, and will continue to exist for many decades, which do not
> > provide this.
> >    
> > I believe there are important flaws in the mechanisms in the RFC and
> > isup mapping draft. Not least the requirements to have multiple
> > outstanding call legs for each extra digit, to use a whole 
> INVITE for
> > a single digit and to tie these into a single call instance on the
> > ISUP side of a gateway could not be described as elegant.
> >    
> > We seem to be near reasonable solution based on negotiating 
> the use of
> > INFOs - I think we should go ahead and document this so that we can
> > bottom out the details.
> >    
> > Regards,
> >    
> > Mark Watson
> > Nortel Networks
> >    
> 
> -- 
> Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
> [email-masked]    ¦ world; the unreasonable one persists in  ¦
> http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
>                         ¦ Therefore  all  progress  depends on the ¦
>                         ¦ unreasonable man. -- George Bernard Shaw ¦
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 27 Feb 2001 10:46:14 -0600

Mark,

On Tue, 27 Feb 2001, Mark Watson wrote:
>    
>    > Nevertheless, the rule for the PSTN is terminating switch always
>    > gets digits en bloc (cause it needs all of them to route).#
>    
>    Not in Germay it doesn't. The dial plan is so open that not even
>    the terminating switch knows how many digits there are going to be
>    - it's only the CPE that knows.

This is still not a reason to do overlap.  Collect all of the digits
at the UA (or at the gateway) and send them en bloc.  If the terminating
CPE doesn't have enough to connect, send PSPD treatment.  If it does
connect.  If the caller doesn't know how many digits to provide, they're
hosed anyway.

This is really a numbering plan issue (more for the likes of ENUM)
rather than a SIP issue.  If a numbering plan routing database cannot
provide information concerning the minimum and maximum number of digits
to collect and when to go into short timing, what will ever provide it?
Digit by digit collection is not a solution.  If the CPE knows the
private dial plan, it should export that numbering plan information to
the network in the form of a dial plan usable at the gateway.  If not
part of a numbering plan, it should at least be part of registration.
The only reason this persists in the PSTN is because of the inability
of terminating equipment to communicate with the network and the
unwillingness of operators to make up for it with manual provisioning.

Would you suggest that we overlap from SIP UA to PSTN as well?

>    
>    > The only place that overlap sending gets used heavily is calls
>    > into an international gateway switch (which should know how many
>    > to collect anyway because it has country code tables and can send
>    > en bloc from there).
>    
>    Overlap sending is certainly used on almost all calls in the UK -
>    admittedly not because it has to, but more because it has always
>    been done that way.

Convert from overlap to en bloc at the gateway.  Noone is questioning
whether a gateway should accept SAMs, just don't propagate them through
the SIP network.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.